py4j.commands

## Class ShutdownGatewayServerCommand

- java.lang.Object
- - py4j.commands.AbstractCommand
  - - py4j.commands.ShutdownGatewayServerCommand

- All Implemented Interfaces:
    Command

      public class ShutdownGatewayServerCommand
      extends AbstractCommand

  The ShutdownGatewayServerCommand is responsible for shutting down the GatewayServer. This command is useful to shut down the server remotely, i.e., from the Python side.

  Author:
    Barthelemy Dagenais

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SHUTDOWN_GATEWAY_SERVER_COMMAND_NAME`

    - ### Fields inherited from class py4j.commands.AbstractCommand

      `commandName, gateway`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShutdownGatewayServerCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(String commandName, BufferedReader reader, BufferedWriter writer)`
    `void` | `init(Gateway gateway)` Called when a command instance is created and assigned to a connection.

    - ### Methods inherited from class py4j.commands.AbstractCommand

      `getArguments, getCommandName, getStringArguments, invokeMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHUTDOWN_GATEWAY_SERVER_COMMAND_NAME

          public static final String SHUTDOWN_GATEWAY_SERVER_COMMAND_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ShutdownGatewayServerCommand

          public ShutdownGatewayServerCommand()

  - ### Method Detail

    - #### execute

          public void execute(String commandName,
                              BufferedReader reader,
                              BufferedWriter writer)
                       throws Py4JException,
                              IOException

      Specified by:
        `execute` in interface `Command`
      Specified by:
        `execute` in class `AbstractCommand`
      Parameters:
        `commandName` - The command name that was extracted of the command.
        `reader` - The reader from which to read the command parts. Each command part are expected to be on a separate line and readable through `BufferedReader.readLine()`.
        `writer` - The writer to which the return value should be written.
      Throws:
        `Py4JException` - If an error occurs while executing the command. All exceptions except IOException caused by the reader and the writer should be wrapper in a `Py4JException` instance.
        `IOException` - If an error occurs while using the reader or the writer.

    - #### init

          public void init(Gateway gateway)

      Description copied from interface: `Command`

      Called when a command instance is created and assigned to a connection.

      Specified by:
        `init` in interface `Command`
      Overrides:
        `init` in class `AbstractCommand`